Bug 1283279 - (CVE-2015-7496) CVE-2015-7496 gdm: Crash when holding Escape in log screen
CVE-2015-7496 gdm: Crash when holding Escape in log screen
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20151112,repor...
: Security
Depends On: 1283281
Blocks: 1283283
  Show dependency treegraph
 
Reported: 2015-11-18 10:21 EST by Adam Mariš
Modified: 2017-08-03 04:40 EDT (History)
2 users (show)

See Also:
Fixed In Version: gdm 3.19.2
Doc Type: Bug Fix
Doc Text:
It was found that gdm could crash due to a signal handler dispatched to an invalid conversation. An attacker could crash gdm by holding the escape key when the screen is locked, possibly bypassing the locked screen.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-03 04:40:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-11-18 10:21:21 EST
It was found that when running gnome session, user locks the machine (by pressing <super> + l), presses Escape and holds, gdm will crash causing segmentation fault.

Upstream bug:

https://bugzilla.gnome.org/show_bug.cgi?id=758032

Upstream patches:

https://git.gnome.org/browse/gdm/commit/?id=5ac2246
https://git.gnome.org/browse/gdm/commit/?id=05e5fc2
Comment 1 Adam Mariš 2015-11-18 10:21:37 EST
Created gdm tracking bugs for this issue:

Affects: fedora-all [bug 1283281]
Comment 2 Fedora Update System 2015-11-21 21:23:00 EST
gdm-3.18.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 3 errata-xmlrpc 2017-08-01 18:59:25 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2128 https://access.redhat.com/errata/RHSA-2017:2128

Note You need to log in before you can comment on or make changes to this bug.